.hero {
  padding: clamp(3rem, 5vw, 6rem) 1rem;
  text-align: center;
}

.hero-container {
  max-width: 900px;
  margin: 0 auto;
}

.hero-badge {
  display: inline-block;

  margin-bottom: 1.5rem;
  align-self: center;
  font-size: clamp(0.75rem, 1.2vw, 0.85rem);
  padding: clamp(0.4rem, 1vw, 0.6rem) clamp(0.8rem, 2vw, 1.2rem);
  border-radius: 999rem;
  background: #07a3c31a;
  color: #343434;
  font-weight: 400;
  border: 1px solid #5dd8fe66;
}

.hero-title {
  margin-bottom: 1.5rem;
  font-weight: 400;
  line-height: 1.2;
  font-size: clamp(2rem, 5vw, 3.125rem);
  color: #111827;
}

.hero-text {
  font-size: 1.0625rem;
  line-height: 1.2;
  color: #000000;
  margin-bottom: 1rem;
  font-weight: 400;
}

.hero-actions {
  margin-top: 2rem;
  display: flex;
  gap: 1rem;
  justify-content: center;
  flex-wrap: wrap;
}

.btn {
  padding: 0.65rem 1.4rem;
  border-radius: 0.5rem;
  font-size: 1.0625rem;
  text-decoration: none;
  font-weight: 500;
  transition: all 0.25s ease;
}

.btn-primary {
  background: linear-gradient(90.63deg, #0cc6b4 0%, #07a2c4 100.22%);
  color: #ffffff;
}

.btn-primary:hover {
  transform: translateY(-2px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}

.btn-outline {
  border: 1px solid #0000001a;
  color: #000000;
  background: #fff;
}

.btn-outline:hover {
  background: #f8fafc;
}

@media (max-width: 600px) {
  .hero-text {
    font-size: 0.9rem;
  }

  .hero-actions {
    flex-direction: column;
  }

  .btn {
    width: 100%;
    max-width: 260px;
    margin: 0 auto;
  }
}

/* -------------------------------Organic Marketing Services------------------------------- */
.organic-marketing {
  background: #ffffff;
  padding: clamp(4rem, 8vw, 6rem) 1rem;
}

.container {
  max-width: 1100px;
  margin: 0 auto;
  text-align: center;
}

.section-title {
  font-size: clamp(1.4rem, 3.5vw, 2rem);
  font-weight: 400;
  margin-bottom: clamp(1rem, 2vw, 1.4rem);
  color: #111827;
  line-height: 1.2;
}

.section-subtitle {
  max-width: 43.75rem;
  margin: 0 auto 3rem;
  font-size: clamp(0.9rem, 1.8vw, 1rem);
  line-height: 1.5;
  color: #4b5563;
}

.metrics {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 1rem;
  margin-bottom: 3rem;
}

.metric-card {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  padding: 0.75rem 1rem;
  border-radius: 0.75rem;
  border: 1px solid #e5e7eb;
  background: #ffffff;
}

.metric-card img {
  width: 2.25rem;
  height: 2.25rem;
  padding: 0.6rem;
  border-radius: 50%;
  background: #eafff6;
}

.metric-card .content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.metric-card span {
  font-size: 0.7rem;
  color: #64748b;
}

.metric-card strong {
  font-size: 1.125rem;
  font-weight: 500;
}

.services-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 1.5rem;
  margin-bottom: 2.5rem;
}

@media (min-width: 1024px) {
  .services-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 1023px) {
  .services-grid {
    grid-template-columns: 1fr;
  }
}

.service-card {
  text-align: left;
  border: 1px solid #20b65f1a;
  border-radius: 0.75rem;
  padding: 1.5rem;
  background: #ffffff;
  transition:
    box-shadow 0.25s ease,
    transform 0.25s ease;
}

.service-card:hover {
  transform: translateY(-4px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.service-card h3 {
  font-size: clamp(1.2rem, 2.4vw, 1.25rem);
  font-weight: 400;
  margin-bottom: 0.75rem;
}

.service-card p {
  margin-bottom: 1rem;
  font-size: clamp(0.9rem, 1.8vw, 1rem);
  line-height: clamp(1.4rem, 3vw, 1.3rem);
  opacity: 1;
  color: #6b7280;
}

.tags {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.tags span {
  font-size: 0.65rem;
  padding: 0.35rem 0.6rem;
  border-radius: 999px;
  border: 1px solid #20b65f80;
  background: #e5f5ec;
  color: #20b65f;
}

.bottom-text {
  font-size: 0.8rem;
  color: #64748b;
}

/*--------------------- Paid Digital Marketing ---------------------*/
.paid-marketing {
  background: #ffffff;
  padding: clamp(2rem, 2vw, 6rem) 1rem;
}

.paid-marketing .metric-card img {
  background-color: #f6efe5;
}

.paid-marketing .service-card .tags span {
  background: #f6efe5;
  color: #f38c25;
  border: 1px solid #f38c25;
}

/*--------------------- Organic Vs Paid ---------------------*/
.organic-paid {
  padding: 2.5rem;
  background: linear-gradient(
    92.19deg,
    rgba(243, 140, 37, 0.1) 0.1%,
    rgba(173, 78, 175, 0.15) 50.07%,
    rgba(23, 217, 127, 0.1) 98.16%
  );
  border-radius: 1.25rem;
  margin-bottom: 6.25rem;
}

.compare-container {
  max-width: 68.75rem;
  text-align: center;
  margin: 0 auto;
  padding: 0 1.5rem;
}

.compare-container h2 {
  font-size: clamp(1.4rem, 3.5vw, 2rem);
  font-weight: 400;
  margin-bottom: clamp(1rem, 2vw, 1.4rem);
  color: #111827;
  line-height: 1.2;
}

.subtitle {
  margin: 0 auto 2.5rem;
  font-size: clamp(0.9rem, 1.8vw, 1rem);
  line-height: 1.5;
  color: #4b5563;
}

.compare-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
}

.compare-card {
  background: #ffffff;
  padding: 1.75rem;
  border-radius: 1rem;
  text-align: left;
}

.card-header {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  margin-bottom: 1rem;
}

.card-header img {
  width: 2.25rem;
  height: 2.25rem;
  padding: 0.6rem;
  border-radius: 50%;
  background: #eafff6;
}

.compare-card.paid img {
  background-color: #f6efe5;
}

.compare-card h3 {
  font-size: 1.0625rem;
  font-weight: 400;
}

.compare-card ul {
  padding-left: 1.125rem;
  margin: 0;
}

.compare-card li {
  font-size: 0.875rem;
  color: #555;
  margin-bottom: 0.5rem;
}

.compare-card.organic {
  border: 1px solid #20b65fb2;
}

.compare-card.paid {
  border: 1px solid #f38c25b2;
}

@media (max-width: 768px) {
  .compare-grid {
    grid-template-columns: 1fr;
  }

  .compare-container h2 {
    font-size: 1.5rem;
  }
}
